Subject: Ticket Assigned - Return is cancelled
From: Splash <[email-masked]>
To: [email-masked]
Date: Sun, 28 Mar 2021 13:58:14 +0000

Hi Mayar nasser mahmoud,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Return is cancelled Hi,

I placed return request for order# 9640787869 due to delivery of incorrect
size, I placed the return request next day and the same was picked up same
day, but after few days I received a message saying that return has been
cancelled, I contacted to customer service and the reference Id of the call
is  *2249471, I have received no update since than am currently outside the
country, kindly help.*

*Regards,*
*Monika*

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2313400